Jun 222005

Chink in the Open Source Armor?

Chink in the Open Source Armor?

I discovered something by accident yesterday about Firefox (which I love) that is giving me a little pause around the beauty of open source.  Maybe I’m missing something – if I am, please comment.

I went to download some new extensions into Firefox, and the Mozilla site said I had to upgrade to the new version of Firefox (1.0.4) in order to access any extensions.

Before I did the upgrade on my machine, I upgraded my colleague Lisa’s (I was about to show her what extensions were, so I figured it would be best to make a clean start there with 1.0.4).  But once I upgraded her, I discovered that none of the extensions I use in Firefox are compatible with the new 1.0.4 version.

So, I can’t download any new extensions until I upgrade…but I can’t upgrade if I want to keep my existing extensions.  Seems like this is a problem with community-based development, although as my colleague Jack says, “I am surprised FireFox doesn’t build the backwards compatibility since open source extentsions are so important to their business model.”

Filed under: Email

Tags: ,